pub enum PointerEvent {
    Motion(PointerMotionEvent),
    Button(PointerButtonEvent),
    Scroll(PointerScrollEvent),
}

pub enum Axis {
    Horizontal = 0,
    Vertical = 1,
}

pub struct PointerButtonEvent {
    pub button: u32,
    pub seat_button_count: u32,
    pub button_state: u32,
}

pub struct PointerMotionEvent {
    pub dx: f64,
    pub dx_unaccelerated: f64,
    pub dy: f64,
    pub dy_unaccelerated: f64,
}

pub struct PointerScrollEvent {
    pub axis: Axis,
    pub scroll_value: f64,
    pub scroll_value_v120: f64,
}
